> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monxa.co/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/merchants/me/web-hook

> Update the WebHook settings for a specific merchant by its unique identifier.



## OpenAPI

````yaml api-reference/openapi.json post /v1/merchants/me/web-hook
openapi: 3.0.1
info:
  title: Monxa API
  description: ''
  version: 1.0.0
servers: []
security:
  - Bearer: []
tags:
  - name: balances
  - name: customers
  - name: merchants
  - name: charges
  - name: payouts
paths:
  /v1/merchants/me/web-hook:
    post:
      tags:
        - merchants
      summary: /v1/merchants/me/web-hook
      description: >-
        Update the WebHook settings for a specific merchant by its unique
        identifier.
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateWebHookWithoutIdRequest'
            example:
              signature_key: steven
              web_hook_uri: https://webhook.site/7a400998-3ebe-466c-a51a-5fa8bac75ecd
              events: []
      responses:
        '200':
          description: OK
          headers: {}
      deprecated: false
      security:
        - Bearer: []
components:
  schemas:
    UpdateWebHookWithoutIdRequest:
      required:
        - web_hook_uri
      type: object
      properties:
        events:
          type: array
          items:
            type: string
        signature_key:
          type: string
          description: >-
            The kwy will be added into Request Header `X-Signature` with base64
            encryption when sending to the WebHook URI.
          nullable: true
        web_hook_uri:
          type: string
          description: The WebHook URI to receive event notifications.
          format: uri
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````